## org.apache.mahout.clustering.kmeans
Interface KMeansConfigKeys

    public interface KMeansConfigKeys

This class holds all config keys that are relevant to be used in the KMeans MapReduce JobConf.

Field Summary
`static java.lang.String` `CLUSTER_CONVERGENCE_KEY` Configuration key for convergence threshold.
`static java.lang.String` `CLUSTER_PATH_KEY` Configuration key for iteration cluster path
`static java.lang.String` `DISTANCE_MEASURE_KEY` Configuration key for distance measure to use.

Field Detail

### DISTANCE_MEASURE_KEY

    static final java.lang.String DISTANCE_MEASURE_KEY

  Configuration key for distance measure to use.

  See Also:
    Constant Field Values

### CLUSTER_CONVERGENCE_KEY

    static final java.lang.String CLUSTER_CONVERGENCE_KEY

  Configuration key for convergence threshold.

  See Also:
    Constant Field Values

### CLUSTER_PATH_KEY

    static final java.lang.String CLUSTER_PATH_KEY

  Configuration key for iteration cluster path

  See Also:
    Constant Field Values

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.